org.apache.tinkerpop.gremlin.server.handler

## Class WsAndHttpChannelizerHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.tinkerpop.gremlin.server.handler.WsAndHttpChannelizerHandler

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      @ChannelHandler.Sharable
      public class WsAndHttpChannelizerHandler
      extends io.netty.channel.ChannelInboundHandlerAdapter

  A ChannelInboundHandlerAdapter for use with `WsAndHttpChannelizer` that toggles between WebSockets and http.
  Author:
    Keith Lohnes lohnesk@gmail.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsAndHttpChannelizerHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelRead(io.netty.channel.ChannelHandlerContext ctx, Object obj)`
    `void` | `configure(io.netty.channel.ChannelPipeline pipeline)`
    `void` | `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`
    `Channelizer` | `getWsChannelizer()`
    `void` | `init(ServerGremlinExecutor serverGremlinExecutor, HttpGremlinEndpointHandler httpGremlinEndpointHandler)`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### WsAndHttpChannelizerHandler

          public WsAndHttpChannelizerHandler()

  - ### Method Detail

    - #### init

          public void init(ServerGremlinExecutor serverGremlinExecutor,
                           HttpGremlinEndpointHandler httpGremlinEndpointHandler)

    - #### getWsChannelizer

          public Channelizer getWsChannelizer()

    - #### configure

          public void configure(io.netty.channel.ChannelPipeline pipeline)

    - #### channelRead

          public void channelRead(io.netty.channel.ChannelHandlerContext ctx,
                                  Object obj)

      Specified by:
        `channelRead` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `channelRead` in class `io.netty.channel.ChannelInboundHandlerAdapter`

    - #### exceptionCaught

          public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx,
                                      Throwable cause)

      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.